n = int(input())
bukiety_o_reszcie = [0, 0, 0]
for _ in range(n):
    rozmiar = int(input())
    bukiety_o_reszcie[rozmiar % 3] += 1
print(bukiety_o_reszcie[0] * (bukiety_o_reszcie[0] - 1)
      // 2 + bukiety_o_reszcie[1] * bukiety_o_reszcie[2])